HPL_pdlaprnt(3)

NAME
HPL_pdlaprnt - Print a distributed matrix A.

SYNOPSIS
#include "hpl.h"

void HPL_pdlaprnt( const HPL_T_grid * GRID, const int M, const int N, const int NB, double * A, const int LDA, const int IAROW, const int IACOL, const char * CMATNM );

DESCRIPTION
HPL_pdlaprnt prints to standard error a distributed matrix A. The local pieces of A are sent to the process of coordinates (0,0) in the grid and then printed.

ARGUMENTS

GRID    (local input)           const HPL_T_grid *
    On entry, GRID points to the data structure containing the process grid information.

M       (global input)          const int
    On entry, M specifies the number of rows of the coefficient matrix A. M must be at least zero.

N       (global input)          const int
    On entry, N specifies the number of columns of the coefficient matrix A. N must be at least zero.

NB      (global input)          const int
    On entry, NB specifies the blocking factor used to partition and distribute the matrix. NB must be larger than one.

A       (local input)           double *
    On entry, A points to an array of dimension (LDA,LocQ(N)). This array contains the coefficient matrix to be printed.

LDA     (local input)           const int
    On entry, LDA specifies the leading dimension of the array A. LDA must be at least max(1,LocP(M)).

IAROW   (global input)          const int
    On entry, IAROW specifies the row process coordinate owning the first row of A. IAROW must be larger than or equal to zero and less than NPROW.

IACOL   (global input)          const int
    On entry, IACOL specifies the column process coordinate owning the first column of A. IACOL must be larger than or equal to zero and less than NPCOL.

CMATNM  (global input)          const char *
    On entry, CMATNM is the name of the matrix to be printed.

SEE ALSO
HPL_fprintf (3).